<template>
  <div id="app">
    <!-- Always active components -->
    <Messages />
    <LoadingMessages />

    <!-- Router -->
    <router-view />
  </div>
</template>

<script lang="ts">
/**
 * @licence
 * Copyright 2022-2022 - RPG of the Apocalypse
 * Licensed under MIT or any later version
 * Refer to the LICENSE file included.
 */

import { Component, Vue } from "vue-property-decorator";
import Messages from "./components/common/Messages.vue";
import LoadingMessages from "./components/common/LoadingMessages.vue";

@Component({ components: { Messages, LoadingMessages } })
export default class App extends Vue {}
</script>

<style>
/* Importing the root css file: */
@import url("./assets/css/root.css");

#app {
  height: 100%;
  width: 100%;
}
</style>
